Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.heuristic.selector.entity
Class EntitySelectorConfig

    java.lang.Object
      org.drools.planner.config.heuristic.selector.SelectorConfig
          org.drools.planner.config.heuristic.selector.entity.EntitySelectorConfig

    public class EntitySelectorConfig

extends SelectorConfig

Field Summary
`protected SelectionCacheType` | `cacheType`
`protected List<Class<? extends SelectionFilter>>` | `entityFilterClassList`
`protected Class<? extends SelectionProbabilityWeightFactory>` | `entityProbabilityWeightFactoryClass`
`protected Class<?>` | `planningEntityClass`
`protected SelectionOrder` | `selectionOrder`

Constructor Summary
`EntitySelectorConfig()`

Method Summary
`EntitySelector` | `buildEntitySelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`SelectionCacheType` | `getCacheType()`
`List<Class<? extends SelectionFilter>>` | `getEntityFilterClassList()`
`Class<? extends SelectionProbabilityWeightFactory>` | `getEntityProbabilityWeightFactoryClass()`
`Class<?>` | `getPlanningEntityClass()`
`SelectionOrder` | `getSelectionOrder()`
`void` | `inherit(EntitySelectorConfig inheritedConfig)`
`void` | `setCacheType(SelectionCacheType cacheType)`
`void` | `setEntityFilterClassList(List<Class<? extends SelectionFilter>> entityFilterClassList)`
`void` | `setEntityProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> entityProbabilityWeightFactoryClass)`
`void` | `setPlanningEntityClass(Class<?> planningEntityClass)`
`void` | `setSelectionOrder(SelectionOrder selectionOrder)`
`String` | `toString()`

Methods inherited from class org.drools.planner.config.heuristic.selector.SelectorConfig
`inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### planningEntityClass

    protected Class<?> planningEntityClass

### cacheType

    protected SelectionCacheType cacheType

### selectionOrder

    protected SelectionOrder selectionOrder

### entityFilterClassList

    protected List<Class<? extends SelectionFilter>> entityFilterClassList

### entityProbabilityWeightFactoryClass

    protected Class<? extends SelectionProbabilityWeightFactory> entityProbabilityWeightFactoryClass

Constructor Detail

### EntitySelectorConfig

    public EntitySelectorConfig()

Method Detail

### getPlanningEntityClass

    public Class<?> getPlanningEntityClass()

### setPlanningEntityClass

    public void setPlanningEntityClass(Class<?> planningEntityClass)

### getCacheType

    public SelectionCacheType getCacheType()

### setCacheType

    public void setCacheType(SelectionCacheType cacheType)

### getSelectionOrder

    public SelectionOrder getSelectionOrder()

### setSelectionOrder

    public void setSelectionOrder(SelectionOrder selectionOrder)

### getEntityFilterClassList

    public List<Class<? extends SelectionFilter>> getEntityFilterClassList()

### setEntityFilterClassList

    public void setEntityFilterClassList(List<Class<? extends SelectionFilter>> entityFilterClassList)

### getEntityProbabilityWeightFactoryClass

    public Class<? extends SelectionProbabilityWeightFactory> getEntityProbabilityWeightFactoryClass()

### setEntityProbabilityWeightFactoryClass

    public void setEntityProbabilityWeightFactoryClass(Class<? extends SelectionProbabilityWeightFactory> entityProbabilityWeightFactoryClass)

### buildEntitySelector

    public EntitySelector buildEntitySelector(EnvironmentMode environmentMode,
                                              SolutionDescriptor solutionDescriptor,
                                              SelectionCacheType minimumCacheType,
                                              SelectionOrder inheritedSelectionOrder)

  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(EntitySelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.